Loading...
Searching...
No Matches
BALL::QuadraticBondStretch Class Reference
Molecular Modeling » Molecular Mechanics » Force Field Parameters

`#include <BALL/MOLMEC/PARAMETER/quadraticBondStretch.h>`

Inheritance diagram for BALL::QuadraticBondStretch:

## Classes

struct | Values
struct | Data

## Public Types

enum | { UNKNOWN }
Public Types inherited from BALL::ParameterSection
enum | { MAX_FIELDS = 20 }

## Public Member Functions

| QuadraticBondStretch ()
virtual | ~QuadraticBondStretch ()
virtual void | clear ()
virtual bool | extractSection (ForceFieldParameters &parameters, const String &section_name)
virtual bool | extractSection (Parameters &parameters, const String &section_name)
bool | hasParameters (Atom::Type I, Atom::Type J) const
QuadraticBondStretch::Values | getParameters (Atom::Type I, Atom::Type J) const
bool | assignParameters (QuadraticBondStretch::Values &parameters, Atom::Type I, Atom::Type J) const
Public Member Functions inherited from BALL::ParameterSection
| ParameterSection ()
| ParameterSection (const ParameterSection &parameter_section)
virtual | ~ParameterSection ()
bool | extractSection (Parameters &parameters, const String &section_name)
const String & | getSectionName () const
const String & | getValue (const String &key, const String &variable) const
bool | has (const String &key, const String &variable) const
bool | has (const String &key) const
bool | hasVariable (const String &variable) const
Position | getColumnIndex (const String &variable) const
Size | getNumberOfVariables () const
Size | getNumberOfKeys () const
const String & | getValue (Position key_index, Position variable_index) const
const String & | getKey (Position key_index) const
const ParameterSection & | operator= (const ParameterSection &section)
virtual bool | isValid () const
bool | operator== (const ParameterSection &parameter_section) const

## Protected Attributes

Size | number_of_atom_types_
float * | k_
float * | r0_
bool * | is_defined_
String * | names_
String | section_name_
String | format_line_
StringHashMap< Index > | section_entries_
StringHashMap< Index > | variable_names_
std::vector< String > | entries_
std::vector< String > | keys_
Size | number_of_variables_
std::vector< float > | version_
bool | valid_

## Additional Inherited Members

Options | options
Static Public Attributes inherited from BALL::ParameterSection
static const String | UNDEFINED

## Detailed Description

QuadraticBondStretch.

Molecular Mechanics Parameter: class describing the parameters required for a harmonic stretch potential.

Definition at line 25 of file quadraticBondStretch.h.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
UNKNOWN |

Definition at line 30 of file quadraticBondStretch.h.

## Constructor & Destructor Documentation

## QuadraticBondStretch()

BALL::QuadraticBondStretch::QuadraticBondStretch | ( |  | ) |

Default constructor.

## ~QuadraticBondStretch()

virtual BALL::QuadraticBondStretch::~QuadraticBondStretch | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## assignParameters()

bool BALL::QuadraticBondStretch::assignParameters | ( | QuadraticBondStretch::Values & | parameters,
|  | Atom::Type | I,
|  | Atom::Type | J ) const

Assign the parameters for a given atom type combination. If no parameters are defined for this combination, false is returned and nothing is changed.

## clear()

virtual void BALL::QuadraticBondStretch::clear | ( |  | ) |

virtual

Clear method

Reimplemented from BALL::ParameterSection.

## extractSection() [1/2]

virtual bool BALL::QuadraticBondStretch::extractSection | ( | ForceFieldParameters & | parameters,
|  | const String & | section_name )

virtual

Reads a parameter section from an INI file. This method reads the section given in section_name from ini_file, interprets (if given) a format line, reads the data from this section according to the format, and builds some datastructures for fast and easy acces this data.

## extractSection() [2/2]

virtual bool BALL::QuadraticBondStretch::extractSection | ( | Parameters & | parameters,
|  | const String & | section_name )

virtual

## getParameters()

QuadraticBondStretch::Values BALL::QuadraticBondStretch::getParameters | ( | Atom::Type | I,
|  | Atom::Type | J ) const

Returns the parameters for a given atom type combination.

## hasParameters()

bool BALL::QuadraticBondStretch::hasParameters | ( | Atom::Type | I,
|  | Atom::Type | J ) const

Queries whether a parameter set is defined for the given atom types.

## Member Data Documentation

## is_defined_

bool* BALL::QuadraticBondStretch::is_defined_

protected

Definition at line 96 of file quadraticBondStretch.h.

## k_

float* BALL::QuadraticBondStretch::k_

protected

Definition at line 92 of file quadraticBondStretch.h.

## names_

String* BALL::QuadraticBondStretch::names_

protected

Definition at line 98 of file quadraticBondStretch.h.

## number_of_atom_types_

Size BALL::QuadraticBondStretch::number_of_atom_types_

protected

Definition at line 90 of file quadraticBondStretch.h.

## r0_

float* BALL::QuadraticBondStretch::r0_

protected

Definition at line 94 of file quadraticBondStretch.h.